<?php
/**
 * Product additional attributes template
 *
 * @var $block \Magento\Catalog\Block\Product\View\Attributes
 */
?>
<style>
.price-final_price .price-from, .price-final_price .price-to,.bundle-options-wrapper {display:none}
</style>
<?php
$_helper = $this->helper(Magento\Catalog\Helper\Output::class);
$_product = $block->getProduct();
$_themeHelper = $this->helper("MGS\Mpanel\Helper\Data");
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$product = $objectManager
    ->get("Magento\Catalog\Model\Product")
    ->load($block->getProduct()->getId());
$selectionCollection = $product
    ->getTypeInstance(true)
    ->getSelectionsCollection(
        $product->getTypeInstance(true)->getOptionsIds($product),
        $product
    );
//$selectionCollection = [7012, 6916];
?>
<div class="container">
    <ul class="nav nav-tabs">
<?php 

$p = 600;
 foreach ($selectionCollection as $proselection) { 
    $_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($proselection->getId());
    //$_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($proselection);
 
?>

        <li class="<?php echo ($p == 600)  ? 'active' : ''; ?>"><a href="#tab<?php echo $p; ?>" data-toggle="tab"><?php echo $_product->getName();?></a></li>
    <?php $p++; } ?>
    </ul>

<div class="tab-content">

<?php
 $p = 600;
foreach ($selectionCollection as $proselection) {
    ?>
    <div id="tab<?php echo $p; ?>" class="tab-pane fade <?php echo ($p == 600)  ? 'in active' : ''; ?>">
        <?php 
    $_product = $_themeHelper->getModel('Magento\Catalog\Model\Product')->load($proselection->getId());
    $attributes = $_product->getCustomAttributes();
    ?>


        <?php
        $first_sku = 0;
        $first_barcode = 0;
        if (
            $_product->getTypeId() ==
            \Magento\ConfigurableProduct\Model\Product\Type\Configurable::TYPE_CODE
        ) {
            $_children = $_product
                ->getTypeInstance()
                ->getUsedProducts($_product);
            foreach ($_children as $child) {
                $first_sku = $child->getSku();
                $first_barcode = $child->getBarcodeEan();
                break;
            }
            $productAttributeOptions = $_product
                ->getTypeInstance()
                ->getConfigurableAttributesAsArray($_product);
        } else {
            $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
            $product = $objectManager
                ->get("Magento\Catalog\Model\Product")
                ->load($_product->getId());
            $first_sku = $_product->getSku();
            $first_barcode = $product->getBarcodeEan();
        }
        ?>


<?php
$pid = $_product->getEntityId();
$attributes = $_product->getCustomAttributes();
$i = 1;
$not_display = [
    "Is Child",
    "Is Chromebook",
    "amasty_preorder_release_date",
    "Is Docking Station",
    "Quantity1",
    "User Interface",
    "Special Price",
    "Special Price From Date",
    "Cost",
    "Manufacturer's Suggested Retail Price",
    "Product Translated",
    "National Retailer",
    "Search Weight",
    "Video",
    "Description",
    "Short Description",
    "Meta Title",
    "Meta Keywords",
    "Meta Description",
    "Base",
    "Small",
    "Thumbnail",
    "Categories",
    "Display Product Options In",
    "required_options",
    "has_options",
    "Display Actual Price",
    "URL Key",
    "Allow Gift Message",
    "Tax Class",
    "Swatch",
    "Size",
    "New",
    "Sale",
    "Distributor",
    "Reseller",
    "Featured Image",
    "Connection Guide",
    "Color",
    "Is Featured Product",
    "Length",
    "Barcode (EAN)",
    "Is featured Product Solutions",
    "Product Solutions featured name",
    "Product Soltuions Fetured Product Discription",
    "EOL alternate",
    "EOL",
    "For Sale",
    "Show view details button on category page",
    "Product weight",
    "Output Type",
    "Usage",
    "Resolution Type",
    "Product Colour",
    "Series ",
    "Dock Type",
    "Power ",
    "Input Type",
    "Section 1 Header",
    "Section 1 Content",
    "Video URL",
    "Video Content",
    "Video Content",
    "Section 1 Image",
    "trending",
    "Section 2 Header",
    "Section 2 Content",
    "Pdf Content 2",
    "Section 2 Image",
    "Pdf Content 1",
    "Section 3 Header",
    "Section 3 Content",
    "Section 3 Image",
    "Section 4 Header",
    "Section 4 Content",
    "Section 4 Image",
    "Is Featured?",
    "Product Banner",
    "Set Product as New from Date",
    "Set Product as New to Date",
    "Section 1 Content",
    "Section 1 Content 2",
    "Section 1 Header",
    "Section 1 Header 2",
    "Section 1 Image",
    "Section 2 Content",
    "Section 2 Content 2",
    "Section 2 Header",
    "Section 2 Header 2",
    "Section 2 Image",
    "Section 3 Content",
    "Section 3 Content 2",
    "Section 3 Header",
    "Section 3 Header 2",
    "Section 3 Image",
    "Image After",
    "Image Before",
    "Big Image 1",
    "Big Image 1 Overlay",
    "Big Image 2",
    "Big Image 2 Overlay",
    "Choose template",
    "Video url",
    "Best Seller",
    "Download Product Manual",
    "Download Specsheet",
    "Section 5 Header",
    "Section 5 Content",
    "Section 6 Header",
    "Section 5 Image",
    "Download Mac Driver Link",
    "Download Windows Driver Link",
    "Trending Image",
    "Show Custom Block",
    "Not Allow Rma",
    "Show Price Count Down",
    "360 Degrees Image View",
    "Featured",
    "Filter Host Connection Technology",
    "Filter Operating System",
    "Filter Form Factor",
    "Filter Video Outputs",
    "Filter 4K",
    "Filter USB Port",
    "Filter Card Reader",
    "Filter Laptop Charging",
    "Product Page Shipping & Warranty Condition",
    "Subscription Enabled",
    "Pre-Order Note",
    "Frequency",
    "Is Display Link",
    "Swap Image",
    "Lifetime Warranty",
    "Is Matrix",
];
?>

<div id="product-tab-data-specification" class="product-tab-data specification">
            <!-- <h3>Specification  </h3> -->
            <div class="part_no_main speci-row"><span class="part_no speci-que">Part No.</span><span id="part-no" class="part_no_value speci-ans"><?php echo $first_sku; ?></span></div>
            <?php
            $attributes = $_product->getCustomAttributes();
            $i = 1;
            foreach ($attributes as $attribute) {
                $attLabel = $_product
                    ->getResource()
                    ->getAttribute($attribute->getAttributeCode())
                    ->getFrontend()
                    ->getLabel();
                if (!in_array($attLabel, $not_display)) {
                    if (
                        $pid == 2507 ||
                        ($pid == 3659 &&
                            $_product
                                ->getResource()
                                ->getAttribute($attribute->getAttributeCode())
                                ->getFrontend()
                                ->getValue($_product) == "Commercial")
                    ) {
                    } else {
                        if (
                            $_product
                                ->getResource()
                                ->getAttribute($attribute->getAttributeCode())
                                ->getFrontend()
                                ->getLabel() == "Intelligent Charging"
                        ) { ?>
                             <?php if (
                                 $_product
                                     ->getResource()
                                     ->getAttribute(
                                         $attribute->getAttributeCode()
                                     )
                                     ->getFrontend()
                                     ->getValue($_product) != "No"
                             ) { ?>
                                    <div class="speci-row 1">
                                        <span class="speci-que 11">
                                            <?php echo $_product
                                                ->getResource()
                                                ->getAttribute(
                                                    $attribute->getAttributeCode()
                                                )
                                                ->getFrontend()
                                                ->getLabel(); ?>
                                        </span>
                                        <span class="speci-ans">
                                            <?php echo $_product
                                                ->getResource()
                                                ->getAttribute(
                                                    $attribute->getAttributeCode()
                                                )
                                                ->getFrontend()
                                                ->getValue($_product); ?>
                                        </span>
                                    </div>
                            <?php } ?>
                        <?php } else { ?>
                            <?php if (
                                $_product
                                    ->getResource()
                                    ->getAttribute(
                                        $attribute->getAttributeCode()
                                    )
                                    ->getFrontend()
                                    ->getValue($_product) != ""
                            ) { ?>
            <?php if (
                substr($attribute->getAttributeCode(), 0, 4) == "bttn" ||
                $attribute->getAttributeCode() == "coming_soon"
            ) {
                continue;
            } ?>
                            <div class="speci-row">
                                <span class="speci-que 22">
                                    <?php echo $_product
                                        ->getResource()
                                        ->getAttribute(
                                            $attribute->getAttributeCode()
                                        )
                                        ->getFrontend()
                                        ->getLabel(); ?>
                                </span>
                                <span class="speci-ans">
                                    <?php echo $_product
                                        ->getResource()
                                        ->getAttribute(
                                            $attribute->getAttributeCode()
                                        )
                                        ->getFrontend()
                                        ->getValue($_product); ?>
                                </span>
                            </div>
                                <?php } ?>
                        <?php } ?>

                <?php
                    }
                }

                $i++;
            }
            ?>
            <?php if (
                $_product->getTypeId() ==
                    \Magento\ConfigurableProduct\Model\Product\Type\Configurable::TYPE_CODE &&
                $first_barcode
            ) { ?>
                <?php if (!empty($first_barcode)) { ?>
                <div class="speci-row">
                    <span class="speci-que">Barcode (EAN)</span>
                    <span id="barcode" class="speci-ans"><?php echo $first_barcode; ?></span>
                </div>
                <?php } ?>
            <?php } else { ?>
                <div class="speci-row">
                <?php if (!empty($_product->getBarcodeEan())) { ?>
                    <span class="speci-que">Barcode (EAN)</span>
                    <span id="barcode" class="speci-ans"><?php echo $_product->getBarcodeEan(); ?></span>
                </div>
                <?php } ?>
            <?php } ?>
        </div>
</div>
<?php
$p++; }
 ?>
</div>
</div>